# OpenLayers.Symbolizer.Text

A symbolizer used to render text labels for features.

Summary

OpenLayers.Symbolizer.Text | A symbolizer used to render text labels for features.
Properties |
label | {String} The text for the label.
fontFamily | {String} The font family for the label.
fontSize | {String} The font size for the label.
fontWeight | {String} The font weight for the label.
Constructor |
OpenLayers.Symbolizer.Text | Create a symbolizer for rendering text labels.

### Properties

### label

{String} The text for the label.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### fontFamily

{String} The font family for the label.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### fontSize

{String} The font size for the label.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### fontWeight

{String} The font weight for the label.

No default set here. Use OpenLayers.Renderer.defaultRenderer for defaults.

### Constructor

### OpenLayers.Symbolizer.Text

Create a symbolizer for rendering text labels.

#### Parameters

config | {Object} An object containing properties to be set on the symbolizer. Any documented symbolizer property can be set at construction.

#### Returns

A new text symbolizer.

Close